You are not logged in.

#76 2013-06-23 02:50:50

heftig
Developer
From: Germany
Registered: 2010-04-19
Posts: 133

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

Added rubinius-git.

Offline

#77 2013-06-25 06:55:32

heftig
Developer
From: Germany
Registered: 2010-04-19
Posts: 133

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

Aurora 24 has GStreamer built-in by default, but preffed off. You now need to enable media.gstreamer.enabled for it to work.

Offline

#78 2013-06-26 00:58:44

donniezazen
Member
From: Salt Lake City
Registered: 2011-06-24
Posts: 671
Website

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

Thanks for the repo. Should I be running git versions of all three packages freetype2, fontconfig and cairo to get better font rendering?

Offline

#79 2013-06-26 00:59:18

heftig
Developer
From: Germany
Registered: 2010-04-19
Posts: 133

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

No, freetype should be enough. There are no interesting commits in fontconfig and cairo.

Last edited by heftig (2013-06-26 01:00:00)

Offline

#80 2013-09-21 11:15:25

DonVla
Member
From: Bonn, Germany
Registered: 2007-06-07
Posts: 997

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

Hello heftig,

thanks for your repo.
Linux-zen is amazing. Runs better than the ck kernel.
But would you like to compress the modules like the stock arch kernel?

Vlad

Offline

#81 2013-09-21 11:16:24

heftig
Developer
From: Germany
Registered: 2010-04-19
Posts: 133

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

DonVla wrote:

Hello heftig,

thanks for your repo.
Linux-zen is amazing. Runs better than the ck kernel.
But would you like to compress the modules like the stock arch kernel?

Vlad

I deliberately disabled the compression because it makes for much smaller delta packages.

Offline

#82 2013-09-21 13:59:36

DonVla
Member
From: Bonn, Germany
Registered: 2007-06-07
Posts: 997

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

heftig wrote:

I deliberately disabled the compression because it makes for much smaller delta packages.

I see.
Is it sufficient to enable "UseDelta" in pacman.conf and to install "xdelta3" to use the package delta feature?

Vlad

Offline

#83 2013-09-25 10:02:33

flokli
Member
Registered: 2013-08-22
Posts: 4

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

aufs support in current linux-zen is broken.
When trying to "modprobe aufs", dmesg says " aufs au_loopback_init:136:modprobe[1491]: loop_backing_file() is not defined"

Package: linux-zen-3.11.1+2433+g3dc17b2-1 from your repository

Offline

#84 2013-09-25 13:29:07

heftig
Developer
From: Germany
Registered: 2010-04-19
Posts: 133

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

Looks like a missing dep. Try modprobing "loop" first.

Offline

#85 2013-09-25 15:01:24

progandy
Member
Registered: 2012-05-17
Posts: 2,143

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

DonVla wrote:

Is it sufficient to enable "UseDelta" in pacman.conf and to install "xdelta3" to use the package delta feature?

As long as the repo supports deltas setting UseDelta and installing xdelta should be enough
https://wiki.archlinux.org/index.php/Deltup

Offline

#86 2013-09-26 18:10:43

flokli
Member
Registered: 2013-08-22
Posts: 4

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

heftig wrote:

Looks like a missing dep. Try modprobing "loop" first.


Yes, modprobing loop before works. But why do I need to do this manually?

Shouldn't depmod automatically figure that out?

modinfo aufs:
filename:       /lib/modules/3.11.1-1-zen/kernel/fs/aufs/aufs.ko
version:        3.11
description:    aufs -- Advanced multi layered unification filesystem
author:         Junjiro R. Okajima <aufs-users@lists.sourceforge.net>
license:        GPL
srcversion:     4B700D8AAC94EED5D916CBC
depends:       
intree:         Y
vermagic:       3.11.1-1-zen SMP preempt mod_unload modversions
parm:           brs:use <sysfs>/fs/aufs/si_*/brN (int)

Offline

#87 2013-09-26 18:16:00

heftig
Developer
From: Germany
Registered: 2010-04-19
Posts: 133

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

Depmod only figures out dependencies via undefined symbols. AUFS doesn't call loop_backing_file directly, it just redirects it. Seems that this doesn't create a detectable dependency.

Try contacting the AUFS mailing list at aufs-users@lists.sourceforge.net (See the "5. Contact" section at http://aufs.sourceforge.net/ for more contact information).

Offline

#88 2013-10-04 12:15:55

heftig
Developer
From: Germany
Registered: 2010-04-19
Posts: 133

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

I've added xorg-server-xwayland and xf86-video-wayland, the minimum packages needed to run Weston with XWayland or the Wayland variant of GNOME Shell.

Offline

#89 2013-10-04 14:11:54

Earnestly
Member
Registered: 2011-08-18
Posts: 800

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

Does your xorg-server-xwayland install to a different directory so we may still use the standard Xorg server?

Edit: Ah, it appears not.  Can you advise us on how one might use xorg-server-xwayland with both a wayland compositor and as a normal xserver?

Last edited by Earnestly (2013-10-04 14:18:43)

Offline

#90 2013-10-04 14:24:09

heftig
Developer
From: Germany
Registered: 2010-04-19
Posts: 133

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

It should work just fine. The XWayland features are just an addition.

Offline

#91 2013-10-08 02:58:31

okplayer02
Member
From: Denver, Colorado
Registered: 2008-11-24
Posts: 84

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

Heftig I have a question about the pulseaudio built in your repo will this resolve the issue with this new package bluez for Gnome 3.10? I am able to pair my device and connect before with Gnome 3.8 and bluez4. With this new bluetooth stack it connects for a moment and then disconnect. I have run from command-line and graphically.


Say what is good or keep silent  --Prophet Muhammad (SAW)

Offline

#92 2013-10-08 03:00:19

heftig
Developer
From: Germany
Registered: 2010-04-19
Posts: 133

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

It probably will. I also put a pulseaudio built from a git snapshot into [testing].

Offline

#93 2013-10-08 03:46:59

okplayer02
Member
From: Denver, Colorado
Registered: 2008-11-24
Posts: 84

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

yes it did to confirm for all of those having issues with the new bluetooth stack (bluez). The pulseaudio packages in heftig repo solved my issue with being able to pair my bluetooth but no connection. Everything is back on track again thanks heftig


Say what is good or keep silent  --Prophet Muhammad (SAW)

Offline

#94 2014-03-05 18:45:18

titaniumbones
Member
Registered: 2013-12-20
Posts: 24

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

is anyone else having trouble with bookmarks and history using current/recent aurora packages? I'm unable to add bookmarks to the bookmarks toolbar via drag-n-drop or the bookmark UI; it also seems to me sites I visit are not always added to the history.  I've checked my profile and I can't see anything obviously wrong, like a file with wrong permissions or something.  And while I was using profile-sync-daemon, I've stopped for now to be sure that's not contributing to hte problem. 

Thanks for any help or suggestions!

Matt

Offline

#95 2014-05-01 05:03:28

wildshu
Member
Registered: 2013-03-25
Posts: 14

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

For some reason in recent aurora builds, mp3 stopped working (at memrise.com for example)  rest is working fine, and it works in stable (29), I have  all required gstreamer packages (there is news floating that ff 30+ is now gstreamer 1.0 api compatible, dunno if it has to do with anything).

Edit. gst-plugins-ugly package fixed my issue.
Thank you for your builds!

Last edited by wildshu (2014-05-01 05:13:20)

Offline

#96 2014-05-01 14:21:14

titaniumbones
Member
Registered: 2013-12-20
Posts: 24

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

just replying to my own long-ago comment -- my places.sql was corrupted; wasn't able to save the corrupted data but getting rid of that file did solve my problem.

Offline

#97 2014-06-28 15:50:26

heftig
Developer
From: Germany
Registered: 2010-04-19
Posts: 133

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

I've removed xorg-server-xwayland and xf86-video-wayland because they're not useful anymore. Upstream has moved to a separate XWayland DDX instead of XWayland being a patch and drivers for XFree86. This method is incompatible with the previous one and already being used by GNOME 3.12. If you want to try it out, build the Xorg 1.16 prereleases.

Last edited by heftig (2014-06-28 15:50:55)

Offline

#98 2014-06-29 13:58:09

quiv
Member
Registered: 2014-02-20
Posts: 22

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

Aurora seems to crash extremely often for me. The current firefox from repos and nightly build from AUR are stable for me. Here's the error I get when it crashes;

DMD[986] $DMD = '(null)'
DMD[986] DMD is not enabled
zsh: segmentation fault  aurora
[986] ###!!! ABORT: Aborting on channel error.: file /build/aurora/src/gecko-dev/ipc/glue/MessageChannel.cpp, line 1532
[986] ###!!! ABORT: Aborting on channel error.: file /build/aurora/src/gecko-dev/ipc/glue/MessageChannel.cpp, line 1532
[139] quiv@lorelai>    

Offline

#99 2014-06-29 14:22:25

heftig
Developer
From: Germany
Registered: 2010-04-19
Posts: 133

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

There's a bad crasher in Aurora right now (https://bugzilla.mozilla.org/show_bug.cgi?id=1031697). The next build should be better.

Last edited by heftig (2014-06-29 14:22:48)

Offline

#100 2014-07-20 18:46:48

Gulver
Member
Registered: 2013-05-24
Posts: 208

Re: heftig's nightlies: Firefox Dev Edition, Freetype, and more

Zen headers is returning an error of source not found.

:: Retrieving packages ...
error: failed retrieving file 'linux-zen-headers-3.15.5+3371+g04472d0-1-x86_64.pkg.tar.xz' from pkgbuild.com : The requested URL returned error: 404 Not Found
warning: failed to retrieve some files
error: failed to commit transaction (download library error)
Errors occurred, no packages were upgraded.

Edit: Well, nevermind. It has resolved with a repo sync.

Last edited by Gulver (2014-07-20 18:48:45)

Offline

Board footer

Powered by FluxBB